<script>
  import { List, ListItem } from 'svelte-materialify';
  import AddTodoInput from './AddTodoInput.svelte';
  import TodoItem from './TodoItem.svelte';
  import todos from '../stores/todos';

  const createTask = ({ detail }) => {
    todos.create({
      title: detail,
      done: false,
    });
  };
</script>

<div class="d-flex justify-center mt-2 mb-2">
  <div class="elevation-2  flex-grow-1">
    <ListItem>
      <AddTodoInput on:submit={createTask} />
    </ListItem>
    {#each $todos.items as item, index}
      <TodoItem
        title={item.title}
        done={item.done}
        on:toggle={() => todos.change(index, !item.done)}
        on:delete={() => todos.delete(index)}
        on:rename={({ detail }) => todos.rename(index, detail)}
      />
    {/each}
  </div>
</div>
